/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package chemo_protocol

import (
	e "simrs-vx/internal/domain/main-entities/chemo-protocol"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ChemoProtocol) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Patient_Weight = inputSrc.Patient_Weight
	data.Patient_Height = inputSrc.Patient_Height
	data.Diagnoses = inputSrc.Diagnoses
	data.Duration = inputSrc.Duration
	data.DurationUnit_Code = inputSrc.DurationUnit_Code
	data.StartDate = inputSrc.StartDate
	data.EndDate = inputSrc.EndDate
}
